org.apache.jmeter.visualizers

## Class RespTimeGraphDataBean

- java.lang.Object
- - org.apache.jmeter.visualizers.RespTimeGraphDataBean

-     public class RespTimeGraphDataBean
      extends java.lang.Object

  Bean to hold timing information about samples

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespTimeGraphDataBean(long startTime, long time, java.lang.String samplerLabel)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSamplerLabel()`
    `long` | `getStartTime()`
    `long` | `getTime()`
    `void` | `setSamplerLabel(java.lang.String samplerLabel)`
    `void` | `setStartTime(long startTime)`
    `void` | `setTime(long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RespTimeGraphDataBean

          public RespTimeGraphDataBean(long startTime,
                                       long time,
                                       java.lang.String samplerLabel)

      Constructor
      Parameters:
        `startTime` - The start time of this Sample
        `time` - The time elapsed for this sample
        `samplerLabel` - The label for this sample

  - ### Method Detail

    - #### getStartTime

          public long getStartTime()

      Returns:
        the startTime

    - #### setStartTime

          public void setStartTime(long startTime)

      Parameters:
        `startTime` - the startTime to set

    - #### getTime

          public long getTime()

      Returns:
        the time

    - #### setTime

          public void setTime(long time)

      Parameters:
        `time` - the time to set

    - #### getSamplerLabel

          public java.lang.String getSamplerLabel()

      Returns:
        the samplerLabel

    - #### setSamplerLabel

          public void setSamplerLabel(java.lang.String samplerLabel)

      Parameters:
        `samplerLabel` - the samplerLabel to set

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.